import { SetupContext } from '@vue/composition-api';
import { SelectInputCommonProperties, TypeSelectInputProps } from '../type';
export default function useSingle(props: TypeSelectInputProps, context: SetupContext): {
    inputRef: import("@vue/composition-api").Ref<any>;
    commonInputProps: import("@vue/composition-api").ComputedRef<SelectInputCommonProperties>;
    onInnerClear: (context: {
        e: MouseEvent;
    }) => void;
    renderSelectSingle: (h: Vue.CreateElement, popupVisible: boolean) => any;
};
